xcb_dri3_fence_from_fd(3)

NAME
xcb_dri3_fence_from_fd -

SYNOPSIS
#include <xcb/dri3.h>

  Request function

xcb_void_cookie_t xcb_dri3_fence_from_fd(xcb_connection_t *conn, xcb_drawable_t drawable, uint32_t fence, uint8_t initially_triggered, int32_t fence_fd);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

fence
    TODO: NOT YET DOCUMENTED.

initially_triggered
    TODO: NOT YET DOCUMENTED.

fence_fd
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_dri3_fence_from_fd_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri3.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.